Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Base

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Base

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods

# NAME

TAP::Base - Base class that provides common functionality to TAP::Parser and TAP::Harness

# VERSION

Version 3.23

# SYNOPSIS

        package TAP::Whatever;    use TAP::Base;        use vars qw($VERSION @ISA);    @ISA = qw(TAP::Base);    # ... later ...        my $thing = TAP::Whatever->new();        $thing->callback( event => sub {        # do something interesting    } );

# DESCRIPTION

`TAP::Base` provides callback management.

# METHODS

## Class Methods

### `callback`

Install a callback for a named event.

### `get_time`

Return the current time using Time::HiRes if available.

### `time_is_hires`

Return true if the time returned by get_time is high resolution (i.e. if Time::HiRes is available).

Page index

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods